Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 649220 - net-wireless/gr-air-modes[gui] depends on deprecated dev-python/pyqwt:5, blocking Qt4 removal
Summary: net-wireless/gr-air-modes[gui] depends on deprecated dev-python/pyqwt:5, bloc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard: drop USE=gui
Keywords:
Depends on:
Blocks: 645506
  Show dependency tree
 
Reported: 2018-03-01 15:53 UTC by Andreas Sturmlechner
Modified: 2018-03-04 12:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-03-01 15:53:27 UTC
Qt4 is dead and going away.
Comment 1 Jason A. Donenfeld archtester Gentoo Infrastructure gentoo-dev Security 2018-03-03 23:43:51 UTC
https://github.com/bistromath/gr-air-modes/blob/master/apps/modes_gui Looks like it uses qt4. You could just disable GUI support if you want to kill qt4 in the tree.
Comment 2 Andreas Sturmlechner gentoo-dev 2018-03-04 12:15:39 UTC
In fact, this package is broken already since it missed to depend on PyQt4[qtwebkit] which is gone for a long time.
Comment 3 Larry the Git Cow gentoo-dev 2018-03-04 12:38:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d40df5d65ef598071ea49571143013d762dcff7

commit 6d40df5d65ef598071ea49571143013d762dcff7
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-04 12:17:10 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-04 12:38:10 +0000

    net-wireless/gr-air-modes: Drop broken USE=gui
    
    Closes: https://bugs.gentoo.org/649220
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-wireless/gr-air-modes/gr-air-modes-9999.ebuild | 5 ++---
 net-wireless/gr-air-modes/metadata.xml             | 1 -
 2 files changed, 2 insertions(+), 4 deletions(-)